package com.acabezas.ehealth_doctor_app.home;

/**
 * Created by alexandercabezas on 16/4/18.
 */

public class HomeContracts {

    interface View {
        void onDestroy();
        void showError(int error);
    }

    interface Presenter {
        void onDestroy();
        void goToScheduleAppointment();
        void goToVideoConference();
        void goToScheduledAppointments();
    }

    interface Interactor {
        void unRegister();
    }

    interface InteractorOutput {
    }


    interface Router {
        void unRegister();
        void goToScheduleAppointment();
        void goToVideoConference();
        void goToScheduledAppointments();
    }
}
