package com.acabezas.ehealth_doctor_app.video_conference;

import com.acabezas.ehealth_doctor_sdk.DoctorAPImpl;
import com.acabezas.ehealth_doctor_sdk.managers.SharedPreferencesManager;
import com.acabezas.ehealth_doctor_sdk.model.RemoveUserFromWaitListRequest;

/**
 * Created by alexandercabezas on 14/4/18.
 */

public class VideoConferenceInteractor implements VideoConferenceContracts.Interactor{
    private VideoConferenceContracts.InteractorOutput output;
    private SharedPreferencesManager sharedPreferencesManager;

    public VideoConferenceInteractor(VideoConferenceContracts.InteractorOutput output,
                                     SharedPreferencesManager sharedPreferencesManager) {
        this.output = output;
        this.sharedPreferencesManager = sharedPreferencesManager;
    }

    @Override
    public void unRegister() {
        output = null;
    }

    @Override
    public void addUserToWaitList() {

    }

    @Override
    public void startVideoConference() {

    }

    @Override
    public void cancelVideoconference() {
        String user = sharedPreferencesManager.getUserId();
        RemoveUserFromWaitListRequest request = new RemoveUserFromWaitListRequest();
        request.id = user;
        DoctorAPImpl.getInstance().removePacientfromWaitList(request);
    }
}
