package com.acabezas.ehealth_doctor_sdk.data_source;

import com.acabezas.ehealth_doctor_sdk.callbacks.GetPAcientWaitingListCallback;
import com.acabezas.ehealth_doctor_sdk.callbacks.GetScheduledAppointmentsCallback;
import com.acabezas.ehealth_doctor_sdk.callbacks.GetUserProfileDataCallback;
import com.acabezas.ehealth_doctor_sdk.callbacks.LoginDoctorCallback;
import com.acabezas.ehealth_doctor_sdk.callbacks.RecoverPasswordCallback;
import com.acabezas.ehealth_doctor_sdk.callbacks.SignUpDoctorCallback;
import com.acabezas.ehealth_doctor_sdk.callbacks.UpdateUserProfileDataCallback;
import com.acabezas.ehealth_doctor_sdk.model.GetAppointmentListRequest;
import com.acabezas.ehealth_doctor_sdk.model.LoginRequest;
import com.acabezas.ehealth_doctor_sdk.model.RecoverPasswordRequest;
import com.acabezas.ehealth_doctor_sdk.model.RemoveUserFromWaitListRequest;
import com.acabezas.ehealth_doctor_sdk.model.SignUpRequest;
import com.acabezas.ehealth_doctor_sdk.model.SignUpResponse;
import com.acabezas.ehealth_doctor_sdk.model.UpdateProfileRequest;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by alexandercabezas on 16/4/18.
 */

public class LocalDataSource implements DoctorDataSource {

    @Override
    public void signUpDoctor(SignUpRequest request, SignUpDoctorCallback callback) {

    }

    @Override
    public void loginDoctor(LoginRequest request, LoginDoctorCallback callback) {

    }

    @Override
    public void recoverPassword(RecoverPasswordRequest request, RecoverPasswordCallback callback) {
        callback.success();
    }

    @Override
    public void getScheduledAppointments(GetAppointmentListRequest request, GetScheduledAppointmentsCallback callback) {

    }

    @Override
    public void getDoctorData(String user, GetUserProfileDataCallback callback) {

    }

    @Override
    public void updateDoctorProfileData(UpdateProfileRequest request, UpdateUserProfileDataCallback callback) {

    }

    @Override
    public void removePacientfromWaitList(RemoveUserFromWaitListRequest removeUserFromWaitListRequest) {

    }

    @Override
    public void getPacientWaitingList(GetPAcientWaitingListCallback callback) {

    }
}
